# -*- coding: utf-8 -*


def accept_reception(applicant, timetablerecord):
    u"""
    Назначение приема специалиста посетителю
    :param applicant: заявление в школу
    :param timetablerecord: запись сетки расписания приема сотрудника
    :returns: сообщение о невозможности назначить прием, либо пустая строка
    :rtype: unicode
    """
    if timetablerecord.applicantreception_set.exists():
        return u'Сотрудник {0} уже ведет прием в желаемое время!'.format(
            timetablerecord.timetablecrontab.specialist.fullname
        )

    if applicant.applicantreception_set.filter(
        timetablerecord__begin__lt=timetablerecord.end,
        timetablerecord__end__gt=timetablerecord.begin
    ).exists():
        return u'У {0} в это время уже назначен прием!'.format(
            applicant.fullname
        )

    reception_model = timetablerecord.applicantreception_set.model

    reception_model.objects.create(
        timetablerecord=timetablerecord,
        applicant=applicant
    )
    return u''
